﻿using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Audio;
using Microsoft.Xna.Framework.Graphics;
using System;

namespace SemiColinGames {
  public sealed class TreeScene : IScene {

    readonly Color backgroundColor = Color.SkyBlue;

    readonly GraphicsDevice graphics;

    public TreeScene(GraphicsDevice graphics) {
      this.graphics = graphics;
    }

    ~TreeScene() {
      Dispose();
    }

    public void Dispose() {
      GC.SuppressFinalize(this);
    }

    public void Draw(bool isRunningSlowly, IWorld iworld, bool paused) {
      graphics.Clear(backgroundColor);
    }
  }
}